# customerCarrierLossEvent

Send NFe Event Type 211124 
(en) Function: Allow the purchaser to report when an acquisition is subject to theft, loss, robbery or deterioration.
Note: The current event is related to goods that were subject to deterioration, loss, robbery or deterioration in transit, in supplies with
FOB freight.
(pt) Função: Permitir ao adquirente informar quando uma aquisição for objeto de roubo, perda, furto ou perecimento.
Observação: O evento atual está relacionado aos bens que foram objeto de perecimento, perda, roubo ou furto em trânsito, em fornecimentos com
frete FOB.


`POST /v3/invoices/goods/{key}/customer-carrier-loss`

**API:** AvaTax Brazil
**Tag:** Invoice Goods
**API Version:** 3.0
**Base URL:** https://avataxbr.sandbox.avalarabrasil.com.br

Source: https://developer.avalara.com/products/avatax-brazil/api/methods/Invoice%20Goods/customerCarrierLossEvent/

## Request Body

**Content-Type:** `application/json`
**Schema:** `nfeEvt_211124`

(en) Function: Allow the purchaser to report when an acquisition is subject to theft, loss, robbery or deterioration.
Note: The current event is related to goods that were subject to deterioration, loss, robbery or deterioration in transit, in supplies with
FOB freight.
(pt) Função: Permitir ao adquirente informar quando uma aquisição for objeto de roubo, perda, furto ou perecimento.
Observação: O evento atual está relacionado aos bens que foram objeto de perecimento, perda, roubo ou furto em trânsito, em fornecimentos com
frete FOB.

| Property | Type | Required | Description |
|---|---|---|---|
| `companyLocation` | string | No | (en) This string contains a previously configured company code which may also have codes needed for tax return purposes. These codes are maintained through the customer portal. Main company address identity.
(pt) Essa string contém um código de empresa configurado anteriormente que também pode ter códigos necessários para fins de declaração de imposto. Esses códigos são mantidos através do portal do cliente. Identidade do endereço principal da empresa. |
| `dateTime` | string | No | (en) Event Date and Time, UTC format (YYYY-MM-DDThh:mm:ssTZD).
(pt) Data e Hora do Evento, formato UTC (AAAA-MM-DDThh:mm:ssTZD). |
| `tpEvent` | string | No |  Values: `211124`. |
| `seq` | number | No |  |
| `detEvent` | object | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | (en) Invoice Status
(pt) Status da nota | `eInvoiceReturnStatus` |
| 400 |  |  |
| 401 |  |  |
| 403 |  |  |
| 404 |  |  |
| 429 |  |  |
| 500 |  |  |
| 503 |  |  |

### 200 Response: `eInvoiceReturnStatus`

| Property | Type | Required | Description |
|---|---|---|---|
| `desc` | string | No |  |
| `code` | string | No |  |
| `protocol` | string | No |  |
| `nfseNumber` | string | No |  |
| `nfseVerifyCode` | string | No |  |
| `authorizationDateTime` | string | No |  |

## Example Request

```bash
curl -X POST "https://avataxbr.sandbox.avalarabrasil.com.br/v3/invoices/goods/{key}/customer-carrier-loss" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "companyLocation": "",
  "dateTime": "",
  "tpEvent": "",
  "seq": "",
  "detEvent": {
    "tpAutor": "",
    "eventDescription": "",
    "gPerish": [
      {
        "nItem": "",
        "vIBS": "",
        "vCBS": "",
        "gInventoryControl": {
          "qPerish": "",
          "uPerish": ""
        }
      }
    ]
  }
}'
```